> For the complete documentation index, see [llms.txt](https://docs.pay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pay.io/api-reference/merchant-console-api/get-a-list-of-available-currencies.md).

# Get a List of Available Currencies

## Get the enabled currencies set by the merchant

> This API endpoint retrieves a list of all enabled cryptocurrencies and tokens for the merchant. The response includes detailed information about each supported currency, including network details, token addresses, and visual assets for UI display.

```json
{"openapi":"3.0.0","info":{"title":"pay.io payment gateway","version":"1.0"},"servers":[{"url":"https://gateway.stage.pay.io","variables":{}}],"paths":{"/v1/merchant/currencies":{"get":{"callbacks":{},"description":"This API endpoint retrieves a list of all enabled cryptocurrencies and tokens for the merchant. The response includes detailed information about each supported currency, including network details, token addresses, and visual assets for UI display.","operationId":"HubwalletPaymentGatewayWeb.Controller.Merchant.Default.supported_currencies","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Supported_Currencies_Response"}}},"description":"List of supported tokens"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error_Response"}}},"description":"Unauthorized"}},"summary":"Get the enabled currencies set by the merchant","tags":["merchant"]}}},"components":{"schemas":{"Supported_Currencies_Response":{"description":"List of supported currencies/tokens","properties":{"currencies":{"items":{"properties":{"currency_code":{"description":"Currency code","type":"string"},"currency_icon":{"description":"Currency icon URL","type":"string"},"id":{"description":"Currency ID","format":"uuid","type":"string"},"name":{"description":"Currency name","type":"string"},"network":{"description":"Blockchain network","type":"string"},"network_icon":{"description":"Network icon URL","type":"string"},"network_l1":{"description":"L1 Network name","nullable":true,"type":"string"},"symbol":{"description":"Currency symbol","type":"string"},"token_address":{"description":"Token contract address","nullable":true,"type":"string"}},"required":["id","name","symbol","network","currency_code","currency_icon","network_icon"],"type":"object"},"type":"array"}},"required":["currencies"],"title":"Supported_Currencies_Response","type":"object"},"Error_Response":{"description":"Error response format","properties":{"error":{"description":"Error flag, always true","type":"boolean"},"message":{"description":"Error message describing what went wrong","type":"string"},"request_id":{"description":"Request correlation ID for tracking and debugging","type":"string"},"status":{"description":"Transaction status when a transaction was created before the error (e.g. `\"failed\"` for a withdrawal that was submitted but failed)","nullable":true,"type":"string"},"transaction_uuid":{"description":"Database transaction UUID (only present when a transaction exists)","format":"uuid","nullable":true,"type":"string"}},"required":["error","message","request_id"],"title":"Error_Response","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pay.io/api-reference/merchant-console-api/get-a-list-of-available-currencies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
